summaryrefslogtreecommitdiff
path: root/scripts/saveSample.sh
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2008-10-29 22:27:30 (GMT)
committerYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2008-10-29 22:27:30 (GMT)
commita5bbab574f7adc63180af6c9d24546b117d31b80 (patch)
tree6ce6d2c50b1fde391d3f912c7d3cc02bacf84ca3 /scripts/saveSample.sh
parentd31396bc23bb78ed3d17ea3fdd3274ef7a8bdec1 (diff)
Use 'gawk', not plain 'awk'.
We need GNU Awk? Then check for, and use 'gawk', not plain 'awk'. Be a little mre verbose if a tool was not found. /trunk/configure | 7 4 3 0 ++++--- /trunk/scripts/build/kernel/linux.sh | 2 1 1 0 +- /trunk/scripts/functions | 16 8 8 0 ++++++++-------- /trunk/scripts/saveSample.sh | 4 2 2 0 ++-- 4 files changed, 15 insertions(+), 14 deletions(-)
Diffstat (limited to 'scripts/saveSample.sh')
-rwxr-xr-xscripts/saveSample.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/saveSample.sh b/scripts/saveSample.sh
index b0c5567..5e20e4f 100755
--- a/scripts/saveSample.sh
+++ b/scripts/saveSample.sh
@@ -59,8 +59,8 @@ sed -r -e 's|^(CT_PREFIX_DIR)=.*|\1="${HOME}/x-tools/${CT_TARGET}"|;' \
CT_DoAddFileToSample() {
source="$1"
dest="$2"
- inode_s=$(ls -i "${source}" |awk '{ print $1; }')
- inode_d=$(ls -i "${dest}" 2>/dev/null |awk '{ print $1; }' || true)
+ inode_s=$(ls -i "${source}" |gawk '{ print $1; }')
+ inode_d=$(ls -i "${dest}" 2>/dev/null |gawk '{ print $1; }' || true)
if [ "${inode_s}" != "${inode_d}" ]; then
cp "${source}" "${dest}"
fi